curl --request POST \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/users/{userId}/wallets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"publicWalletAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chain": "ETH",
"walletName": "An example name",
"walletProvider": "browserExtension",
"additionalWalletAddresses": [
{
"address": "<string>",
"type": "ordinals",
"publicKey": "<string>"
}
]
}
'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"name": "An example name",
"chain": "ETH",
"publicKey": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"provider": "browserExtension",
"properties": {
"turnkeySubOrganizationId": "95b11417-f18f-457f-8804-68e361f9164f",
"turnkeyPrivateKeyId": "95b11417-f18f-457f-8804-68e361f9164f",
"turnkeyHDWalletId": "95b11417-f18f-457f-8804-68e361f9164f",
"isAuthenticatorAttached": true,
"turnkeyUserId": "95b11417-f18f-457f-8804-68e361f9164f",
"isSessionKeyCompatible": true,
"version": "V1",
"ecdsaProviderType": "zerodev_signer_to_ecdsa",
"entryPointVersion": "v6",
"kernelVersion": "v2_4"
},
"lastSelectedAt": "<string>"
}Creates a new wallet for the user. Note that this API is not meant for creating embedded wallets. To create embedded wallets use the /embeddedWallets endpoint.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/users/{userId}/wallets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"publicWalletAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chain": "ETH",
"walletName": "An example name",
"walletProvider": "browserExtension",
"additionalWalletAddresses": [
{
"address": "<string>",
"type": "ordinals",
"publicKey": "<string>"
}
]
}
'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"name": "An example name",
"chain": "ETH",
"publicKey": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"provider": "browserExtension",
"properties": {
"turnkeySubOrganizationId": "95b11417-f18f-457f-8804-68e361f9164f",
"turnkeyPrivateKeyId": "95b11417-f18f-457f-8804-68e361f9164f",
"turnkeyHDWalletId": "95b11417-f18f-457f-8804-68e361f9164f",
"isAuthenticatorAttached": true,
"turnkeyUserId": "95b11417-f18f-457f-8804-68e361f9164f",
"isSessionKeyCompatible": true,
"version": "V1",
"ecdsaProviderType": "zerodev_signer_to_ecdsa",
"entryPointVersion": "v6",
"kernelVersion": "v2_4"
},
"lastSelectedAt": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
UUID of the user
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Wallet fields
Valid blockchain wallet address, must be an alphanumeric string without any special characters
255^[A-Za-z0-9]{18,100}$"0xbF394748301603f18d953C90F0b087CBEC0E1834"
ETH, EVM, FLOW, SOL, ALGO, STARK, COSMOS, BTC, ECLIPSE, SUI, SPARK, TRON, APTOS, TON 255^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
browserExtension, custodialService, walletConnect, qrCode, deepLink, embeddedWallet, smartContractWallet Show child attributes
Successfully created new wallet for the user
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
ETH, EVM, FLOW, SOL, ALGO, STARK, COSMOS, BTC, ECLIPSE, SUI, SPARK, TRON, APTOS, TON Valid blockchain wallet address, must be an alphanumeric string without any special characters
255^[A-Za-z0-9]{18,100}$"0xbF394748301603f18d953C90F0b087CBEC0E1834"
browserExtension, custodialService, walletConnect, qrCode, deepLink, embeddedWallet, smartContractWallet Show child attributes
Was this page helpful?